# Contributing to Open Policy Containers (OPCR)

Welcome, and thank you for considering contributing to OPCR. We encourage
you to help out by raising issues, improving documentation, fixing bugs, or
adding new features

If you're interested in contributing please start by reading this document. If
you have any questions at all, or don't know where to start, please reach out to
us on [Slack](SLACK.md). Please also take a look at our [code of conduct](CODE_OF_CONDUCT.md), which details
how contributors are expected to conduct themselves as part of the OPCR
community.

## Contributing Code

To contribute bug fixes or features to OPCR:

1. Communicate your intent.
1. Make your changes.
1. Test your changes.
1. Update documentation and examples where appropriate.
1. Open a Pull Request (PR).

Communicating your intent lets the OPCR maintainers know that you intend
to contribute, and how. This sets you up for success - you can avoid duplicating
an effort that may already be underway, adding a feature that may be rejected,
or heading down a path that you would be steered away from at review time. The
best way to communicate your intent is via a detailed GitHub issue. Take a look
first to see if there's already an issue relating to the thing you'd like to
contribute. If there isn't, please raise a new one! Let us know what you'd like
to work on, and why. The Open Policy Registry maintainers can't always triage new issues
immediately, but we encourage you to bring them to our attention via [Slack](SLACK.md).
